Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event.blogentry
Class MarkUnpublishedListener

    java.lang.Object
      net.sourceforge.pebble.event.blogentry.BlogEntryListenerSupport
          net.sourceforge.pebble.event.blogentry.MarkUnpublishedListener

All Implemented Interfaces:
  BlogEntryListener

    public class MarkUnpublishedListener

extends BlogEntryListenerSupport

Marks new and changed blog entries as unpublished.

Author:
  Simon Brown

Constructor Summary
`MarkUnpublishedListener()`

Method Summary
`void` | `blogEntryAdded(BlogEntryEvent event)` Called when a blog entry has been added.
`void` | `blogEntryChanged(BlogEntryEvent event)` Called when a blog entry has been changed.

Methods inherited from class net.sourceforge.pebble.event.blogentry.BlogEntryListenerSupport
`blogEntryPublished, blogEntryRemoved, blogEntryUnpublished`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkUnpublishedListener

    public MarkUnpublishedListener()

Method Detail

### blogEntryAdded

    public void blogEntryAdded(BlogEntryEvent event)

  Called when a blog entry has been added.

  Specified by:
    `blogEntryAdded` in interface `BlogEntryListener`
  Overrides:
    `blogEntryAdded` in class `BlogEntryListenerSupport`
  Parameters:
    `event` - a BlogEntryEvent instance

### blogEntryChanged

    public void blogEntryChanged(BlogEntryEvent event)

  Called when a blog entry has been changed.

  Specified by:
    `blogEntryChanged` in interface `BlogEntryListener`
  Overrides:
    `blogEntryChanged` in class `BlogEntryListenerSupport`
  Parameters:
    `event` - a BlogEntryEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.